Package ghidra.program.util

# Class FileOffsetFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.CodeUnitLocation
ghidra.program.util.FileOffsetFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class FileOffsetFieldLocation extends CodeUnitLocation
Provides specific information about a program location within the File Offset field

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileOffsetFieldLocation()`
  Default constructor needed for restoring the field location from XML
  `FileOffsetFieldLocation(Program program, Address addr, int[] componentPath, int charOffset)`
  Creates a new `FileOffsetFieldLocation` for the given address

- ## Method Summary

  ### Methods inherited from class ghidra.program.util.CodeUnitLocation

  `isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, equals, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy, hashCode, restoreState, saveState, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileOffsetFieldLocation

    public FileOffsetFieldLocation(Program program, Address addr, int[] componentPath, int charOffset)
    Creates a new `FileOffsetFieldLocation` for the given address
    Parameters:
      `program` - the program
      `addr` - the address of the byte for this location
      `componentPath` - the path to data, or null
      `charOffset` - the position into the string representation indicating the exact position within the field

  - ### FileOffsetFieldLocation

    public FileOffsetFieldLocation()
    Default constructor needed for restoring the field location from XML